<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>



<%= form_for @user, url: wizard_path do |f| %>
  <% if @user.errors.any? %>
    <div class="error_messages">
      <h2><%= pluralize(@user.errors.count, "error") %> prohibited this user from being saved:</h2>
      <ul>
      <% @user.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>
  <%= yield f %>
  
  <div class="actions">
    <%= f.submit "Register", id: 'register' %>
    <!-- <b.utton type="button" class="btn btn-info btn-md" data-toggle="modal" data-target="#doctorReg">Register</button> -->
    <!-- or <%#= link_to "skip this step", next_wizard_path %> -->
  </div>
<% end %>



<div id="doctorReg" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Attention</h4>
      </div>
      <div class="modal-body">
        <p>To gain access to Austra services verification of your govt id with photo and your license / id is required</p>
        <div class="row text-center">
          <div class="col-md-12">
            <button type="button" id="withVerification" class="btn btn-primary btn-md" data-toggle="modal" data-target="#doctorReg">Register with Verification</button>
          </div>
        </div>
        <div class="row text-center mt-3">
          <div class="col-md-12">
            <button type="button" id='withoutVerification' class="btn btn-primary btn-md">Register without Verification</button>
            <div class="col-md-12">
              <span> Limited access </span>
            </div>  
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default btn-md">Close</button>
      </div>
    </div>

  </div>
</div>


<script type="text/javascript">
  $('#register').click(function(){
    var doctor_govt_id_proof = $('#doctor_govt_id_proof').val()
    var doctor_license = $('#doctor_license').val()
    
    if(doctor_govt_id_proof == '' || doctor_license == ''){
      $('#doctorReg').modal('show')
      return false
    }
  })

  $('#withVerification').click(function(){
    $('#doctorReg').modal('hide')
    return false
  })

  $('#withoutVerification').click(function(){
    $('.edit_doctor').submit()
  })
</script>